#!/usr/bin/env bash
###
 # Tests for the "User Check Functions" section of the utils script.
 ##


@test "User Function - check_is_user - Success - Sudo" {
    # Import utils script.
    source ../utils.sh

    run $(check_is_user "sudo")
    [[ "${status}" == 0 ]]
}


@test "User Function - check_is_user - Success - Root" {
    # Import utils script.
    source ../utils.sh

    run $(check_is_user "root")
    [[ "${status}" == 0 ]]
}


@test "User Function - check_is_not_user - Failure - Sudo" {
    # Import utils script.
    source ../utils.sh

    run $(check_is_not_user "sudo")
    [[ "${status}" != 1 ]]
}


@test "User Function - check_is_not_user - Failure - Root" {
    # Import utils script.
    source ../utils.sh

    run $(check_is_not_user "root")
    [[ "${status}" != 1 ]]
}
